<?php

class yourstore_banner_slider_widget extends WP_Widget {

    public function __construct() {
        parent::__construct(
                'yourstore_banner_slider_widget', // Base ID  
                'Your Store Banner Slider', // Name  
                array('description' =>esc_html__('Sidebar Banner Slider','yourstore')  )
        );
        add_action('admin_enqueue_scripts', array($this, 'image_upload_scripts'));
    }
    public function form($instance){
      
        $defaults = array(
            'title' => 'Your Store Banner Slider', 
            'banners' => array() ); 
        $instance = wp_parse_args((array) $instance, $defaults);

        ?>
    <p>
        <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
        <?php esc_html_e('Title:', 'yourstore'); ?></label>
        <input id="<?php echo esc_attr($this->get_field_id('title')); ?>" class="widefat" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo esc_attr($instance['title']); ?>"  />
    </p>
    <ul class="banner_add_container">
     
        <?php foreach ($instance['banners'] as $banner) : 
            if(!is_array($banner))
                $banner = (array)$banner;
        ?>
     
        <li>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id('image_url')); ?>"><?php esc_html_e('Paste URL or upload Image:', 'yourstore'); ?></label>
                &nbsp;&nbsp;&nbsp;&nbsp;
                <input id="<?php echo esc_attr($this->get_field_id('image_url')); ?>[]" type="text" class="image-url" 
                name="<?php echo esc_attr($this->get_field_name('image_url')); ?>[]" style="width:120px;"  value="<?php print $banner['img_url'] ?>">
                &nbsp;&nbsp;
                <input class="button upload_image_button" type="button" value="<?php esc_html_e('Upload', 'yourstore'); ?>">
                <input class="button remove" type="button" value="<?php esc_html_e('Remove', 'yourstore'); ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id('image_alt')); ?>"><?php esc_html_e('Alternate text:', 'yourstore'); ?></label>
                <input type="text" class="alttext widefat"  id="<?php echo esc_attr($this->get_field_id('image_alt')); ?>[]" name="<?php echo esc_attr($this->get_field_name('image_alt')); ?>[]" value="<?php print $banner['img_alt'] ?>">
            </p>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id('link_url')); ?>"><?php esc_html_e('Link Url:', 'yourstore'); ?></label>
                <input type="text" class="alttext widefat"  id="<?php echo esc_attr($this->get_field_id('link_url')); ?>[]" name="<?php echo esc_attr($this->get_field_name('link_url')); ?>[]" value="<?php print $banner['link_url'] ?>">
            </p>
        </li>
    <?php endforeach; ?>

    </ul>
      <p>
        <a href="#" class="banner_add_new button"><?php esc_html_e('Add New', 'yourstore'); ?></a>
      </p>
      <!-- new banner add mark up -->
      <div class="banner_clone" style="display:none;">
               <p>
                <label><?php esc_html_e('Paste URL or upload Image:', 'yourstore'); ?></label>
                &nbsp;&nbsp;&nbsp;&nbsp;
                <input id="<?php echo esc_attr($this->get_field_id('image_url')); ?>[]" type="text" class="image-url" 
                name="<?php echo esc_attr($this->get_field_name('image_url')); ?>[]" style="width:120px;"  value="">
                &nbsp;&nbsp;
                <input class="button upload_image_button" type="button" value="<?php esc_html_e('Upload', 'yourstore'); ?>">
                 <input class="button remove" type="button" value="<?php esc_html_e('Remove', 'yourstore'); ?>">
            </p>
            <p>
                <label><?php esc_html_e('Alternate text:', 'yourstore'); ?></label>
                <input type="text" class="alttext widefat" id="<?php echo esc_attr($this->get_field_id('image_alt')); ?>[]" name="<?php echo esc_attr($this->get_field_name('image_alt')); ?>[]" value="">
            </p>
             <p>
                <label><?php esc_html_e('Link Url:', 'yourstore'); ?></label>
                <input type="text" class="alttext widefat" id="<?php echo esc_attr($this->get_field_id('link_url')); ?>[]" name="<?php echo esc_attr($this->get_field_name('link_url')); ?>[]" value="">
            </p>

      </div>
      <!-- close banner add new-->
<?php
    }

    public function image_upload_scripts()
    {
        $screen = get_current_screen();
        if(isset($screen->base) && $screen->base == 'widgets'){
            wp_enqueue_script('media-upload');
            wp_enqueue_script('thickbox');
            wp_enqueue_script('upload_media_widget', get_template_directory_uri() . '/framework/widgets/js/upload-media.js', array('jquery'));

            wp_enqueue_style('thickbox');
        }
    }


    public function update($new_instance, $old_instance) {
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['image_url'] = strip_tags($new_instance['image_url']);
        $instance['image_alt'] = strip_tags($new_instance['image_alt']);
        $instance['link_url'] = strip_tags($new_instance['link_url']);
        $instance['banners'] = array();
 
            if(!empty($new_instance['image_url'])&& !empty($new_instance['image_alt'])){
                for ($i=0; $i <count($new_instance['image_url'])-1 ; $i++) { 
                   $banner = array();
                   $banner['img_url'] = esc_url( $new_instance['image_url'][$i] );
                   $banner['img_alt'] = esc_url( $new_instance['image_alt'][$i] );
                   $banner['link_url'] = esc_url( $new_instance['link_url'][$i] );
                   $instance['banners'][] = $banner;
                }

            }

        return $instance;
    }
    public function widget($args, $instance) {
        $title = apply_filters('widget_title', $instance['title']);
        $banners=$instance['banners'];

         extract($args, EXTR_SKIP);
            echo wp_kses_post($before_widget);
            $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
            if ( !empty( $title ) ) { echo wp_kses_post($before_title . $title . $after_title); };
            ?>
            <!--======= banner-asid =======-->                      
            <div class="bannerAsid nav-dot hidden-sm  hidden-xs">

            <?php                
            if(count($banners)>0){
                 for ($i=0; $i <count($banners) ; $i++) { 
                     if(!is_array($banners[$i]))
                        $banners[$i] = (array)$banners[$i];
                     echo '<!-- slide-->
                    <div class="text-center">
                        <a href="'. esc_url( $banners[$i]['link_url']) .'"><img class="img-responsive-inline" src="' .  esc_url( $banners[$i]['img_url'])  . '" alt="'. esc_url( $banners[$i]['img_alt']) .'"></a>                                  
                    </div>
                    <!-- /slide-->
                  ';
                    
                  }
            }
            ?>
            </div>
            <?php
            echo wp_kses_post($after_widget);
         
    }

}// Register and load the widget
function yourstore_banner_slider_widget_func() {
    register_widget( 'yourstore_banner_slider_widget' );
}
add_action( 'widgets_init', 'yourstore_banner_slider_widget_func' );
