<?php

class sds_widget_address_info extends WP_Widget {
    public $defaults;
    public function __construct() {
        $this->defaults = array(
            'title' => esc_html__('Contacts', 'yourstore'),
            'mobile_phone' => '',
            'land_phone' => '+777 2345 7885',
            'fax'=>'+777 2345 7885',
            'email' => 'info@mydomain.com',
            'skype' => "",
            'address' => '7563 St. Vicent Place, Glasgow',
            'hours' => '7 Days a week from 10:00 am to 6:00 pm'
        );
        parent::__construct(
                'sds_widget_address_info', // Base ID  
                esc_html__('Yourstore Address Info', 'yourstore'), // Name  
                array(
            'description' => esc_html__('This widget will show Address.', 'yourstore')
                )
        );
    }

    function form($instance) {

//        $defaults = array(
//            'title' => esc_html__('Contacts', 'yourstore'),
//            'mobile_phone' => '',
//            'land_phone' => '+777 2345 7885',
//            'fax'=>'+777 2345 7885',
//            'email' => 'info@mydomain.com',
//            'skype' => "",
//            'address' => '135 South Park Avenue',
//            'hours' => 'From Monday to Friday <br />9:00 a.m. to 5:00 p.m.'
//        );



        $instance = wp_parse_args((array) $instance, $this->defaults);
        ?>



        <p>

            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">

                <strong><?php esc_html_e('Title', 'yourstore') ?>:</strong><br /><input class="widefat" type="text" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo esc_attr($instance['title']); ?>" />

            </label>

        </p> 

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('mobile_phone')); ?>"><?php esc_html_e('Mobile Phone', 'yourstore') ?></label>

            <input type="text"  class="widefat" id="<?php echo esc_attr($this->get_field_id('mobile_phone')); ?>" name="<?php echo esc_attr($this->get_field_name('mobile_phone')); ?>" value="<?php echo esc_attr($instance['mobile_phone']); ?>" />

        </p> 

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('land_phone')); ?>"><?php esc_html_e('Land Phone', 'yourstore') ?></label>

            <input type="text"  class="widefat" id="<?php echo esc_attr($this->get_field_id('land_phone')); ?>" name="<?php echo esc_attr($this->get_field_name('land_phone')); ?>" value="<?php echo esc_attr($instance['land_phone']); ?>" />

        </p>
        
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('fax')); ?>"><?php esc_html_e('Fax', 'yourstore') ?></label>

            <input type="text"  class="widefat" id="<?php echo esc_attr($this->get_field_id('fax')); ?>" name="<?php echo esc_attr($this->get_field_name('fax')); ?>" value="<?php echo esc_attr($instance['fax']); ?>" />

        </p>

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('email')); ?>"><?php esc_html_e('Email', 'yourstore') ?></label>

            <input type="text"  class="widefat" id="<?php echo esc_attr($this->get_field_id('email')); ?>" name="<?php echo esc_attr($this->get_field_name('email')); ?>" value="<?php echo sanitize_email($instance['email']); ?>" />

        </p>

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('skype')); ?>"><?php esc_html_e('Skype', 'yourstore') ?></label>

            <input type="text"  class="widefat" id="<?php echo esc_attr($this->get_field_id('skype')); ?>" name="<?php echo esc_attr($this->get_field_name('skype')); ?>" value="<?php echo esc_attr($instance['skype']); ?>" />

        </p>   

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('address')); ?>"><?php esc_html_e('Address', 'yourstore') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('address')); ?>" name="<?php echo esc_attr($this->get_field_name('address')); ?>"><?php echo wp_kses_post($instance['address']); ?></textarea>

        </p>

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('hours')); ?>"><?php esc_html_e('Hours', 'yourstore') ?></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('hours')); ?>" name="<?php echo esc_attr($this->get_field_name('hours')); ?>"><?php echo wp_kses_post($instance['hours']); ?></textarea>

        </p>



        <?php
    }

    function widget($args, $instance) {
        global $smof_data;

        extract($args);

        echo wp_kses_post($before_widget);

        if (!empty($instance['title'])) {
            $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
            echo wp_kses_post($before_title . $title . $after_title);
        };
        ?>
        <ul class="list-icon">
            <?php
            if (!empty($instance['address'])):
                ?>
                <li class="mc">
                    <span class="icon icon-home"></span>
                    <strong><?php esc_html_e('Address :', 'yourstore')?></strong>
                    <?php echo wp_kses_post($instance['address']); ?>
                </li>

            <?php endif; ?>
            
            <?php
            if (!empty($instance['mobile_phone'])):
                ?>
                <li class="mc">
                    <span class="fa fa-mobile"></span>
                    <strong><?php esc_html_e('Mobile Phone :', 'yourstore')?></strong>
                    <?php echo wp_kses_post($instance['mobile_phone']); ?>
                </li>
            <?php endif; ?>

            <?php
            if (!empty($instance['land_phone'])):
                ?>
                <li class="mc">
                    <span class="icon icon-call"></span>
                    <strong><?php esc_html_e('Phone :', 'yourstore')?></strong>
                    <?php echo wp_kses_post($instance['land_phone']); ?>
                </li>
            <?php endif; ?>

            <?php
            if (!empty($instance['fax'])):
                ?>
                <li class="mc">
                    <span class="fa fa-fax"></span>
                    <strong><?php esc_html_e('Fax :', 'yourstore')?></strong>
                    <?php echo wp_kses_post($instance['fax']); ?>
                </li>
            <?php endif; ?>

            <?php
            if (!empty($instance['hours'])):?>
                <li class="mc">
                    <span class="icon icon-schedule"></span>
                    <strong><?php esc_html_e('Hours :', 'yourstore')?></strong>
                    <?php echo wp_kses_post($instance['hours']); ?>
                </li>
            <?php endif; ?>

            <?php
            if (!empty($instance['email'])):
                ?>
                <li class="mc">
                    <span class="icon icon-mail"></span>
                    <strong><?php esc_html_e('Email :', 'yourstore')?></strong>
                    <a class="color" href="mailto:<?php echo sanitize_email($instance['email']); ?>"><?php echo sanitize_email($instance['email']); ?></a>
                </li>
            <?php endif; ?>
            <?php
            if (!empty($instance['skype'])):
                ?>
                <li class="mc">
                    <span class="fa fa-skype"></span>
                    <strong><?php esc_html_e('Skype :', 'yourstore')?></strong>
                    <?php echo esc_html($instance['skype']); ?>
                </li>
            <?php endif; ?>
        </ul>
        <?php
        echo wp_kses_post($after_widget);
    }

    function update($new_instance, $old_instance) {

        $instance = $old_instance;

        $instance['title'] = strip_tags($new_instance['title']);

        $instance['address'] = $new_instance['address'];

//        $instance['address2'] = $new_instance['address2'];

        $instance['mobile_phone'] = $new_instance['mobile_phone'];

//        $instance['mobile_phone2'] = $new_instance['mobile_phone2'];

        $instance['skype'] = $new_instance['skype'];

//        $instance['skype2'] = $new_instance['skype2'];

        $instance['land_phone'] = $new_instance['land_phone'];

//        $instance['land_phone2'] = $new_instance['land_phone2'];

        $instance['email'] = $new_instance['email'];

//        $instance['email2'] = $new_instance['email2'];

        $instance['hours'] = $new_instance['hours'];
        $instance['fax'] = $new_instance['fax'];
//        $instance['fax2'] = $new_instance['fax2'];


        return $instance;
    }

}
function YourStore_sds_widget_address_info_func() {
    register_widget( 'sds_widget_address_info' );
}
add_action( 'widgets_init', 'YourStore_sds_widget_address_info_func' );