<?php

global $woocommerce;

if(isset($woocommerce) and !class_exists('Yourstore_Brand_Widget')):

	class Yourstore_Brand_Widget extends WP_Widget {
		
		
		public function __construct() {
			parent::__construct(
					'Yourstore_Brand_Widget', // Base ID  
					'Yourstore Woocommerce Brands', // Name  
					array('description' => esc_html__('Yourstore Woocommerce Brands.','yourstore'))
			);
		}
		public function form($instance) {
			$defaults = array(
				'title' => 'Brands',
				'number' => '5'
			);
			$instance = wp_parse_args((array) $instance, $defaults);
			
			extract($instance);
			
		?>
		<p>
			<label for="<?php print $this->get_field_id('title'); ?>"><?php esc_html_e('Widget Title:', 'yourstore') ?></label><br/>
			<input type="text" id="<?php print $this->get_field_id('title'); ?>" name="<?php print $this->get_field_name('title'); ?>" value="<?php print $title ?>"style="width:216px;" />
		</p>
		<p>
			<label for="<?php print $this->get_field_id('number'); ?>"><?php esc_html_e('Show Brands at most:', 'yourstore') ?></label><BR/>
			<input type="text" id="<?php print $this->get_field_id('number'); ?>" name="<?php print $this->get_field_name('number'); ?>" value="<?php print $number ?>"style="width:216px;" />
		</p>

        
		<?php
		
		}
		
		 public function update($new_instance, $old_instance) {
			
			$instance['title'] = strip_tags($new_instance['title']);
			$instance['number'] = $new_instance['number'];
			
			return $instance;
		}
	
		public function widget($args, $instance) {
			
			$title = apply_filters('widget_title', $instance['title']);
                        
			$number = $instance['number'];

			extract($args, EXTR_SKIP);
			
			$arr = array('hide_empty'=>0,'number'=>$number);
			
			$terms = get_terms('brands',$arr);
			
			if(!empty($terms) && function_exists('wcm_sds_brands_thumbnail_id')):
			
				echo wp_kses_post($before_widget);
				
				$title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);
				
				if (!empty($title)):
                                   
					print $before_title . $title . $after_title;
				endif;
		 
		?>

				<ul class="simple-list vendor-filter" >
                
                <?php foreach($terms as $term): ?>	
                	<li class="parent-cat">
                    	<a title="<?php echo esc_attr($term->name)?>" href="<?php echo esc_url(get_term_link($term->slug,'brands'))?>"><?php   echo esc_html($term->name);  ?></a>
                    </li>
                
                <?php endforeach; ?>
                
                </ul>

			<?php

				echo wp_kses_post($after_widget);
				endif;
		
		}
		
	}
	function Yourstore_Brand_Widget_func() {
		register_widget( 'Yourstore_Brand_Widget' );
	}
	add_action( 'widgets_init', 'Yourstore_Brand_Widget_func' );
	
endif;
