<?php

class Sdsshippinginfo_Widget extends WP_Widget {

    public function __construct() {

        parent::__construct(
                'sds_shipping_info_widget', // Base ID  
                esc_html__('Yourstore Shipping Info','yourstore'), // Name  
                array(
                    'description' => esc_html__('This widget will show popup for shipping info.', 'yourstore')
                )
        );
        add_action('admin_enqueue_scripts', array($this, 'admin_scripts'));
    }
    public function admin_scripts($hook){
        if($hook == 'widgets.php'){
            wp_enqueue_script('yourstore-admin-widgets', YOURSTORE_JS_URL.'/admin-widgets.js', array('jquery'));
            $scripts = 'jQuery(function($){
                "use strict";

                var file_frame;
                $(document.body).off("click", "a.sds_widget_add_image");
                $(document.body).on( "click", "a.sds_widget_add_image", function( event ){

                        //event.preventDefault();

                        var field = $(this).siblings("input.sds_widget_image");

                        // If the media frame already exists, reopen it.
                        if ( file_frame ) {
                                file_frame.open();
                                return;
                        }

                        file_frame = wp.media({
                                title: "'.esc_html__( "Choose an image", "yourstore" ).'",
                                button: {
                                        text: "'.esc_html__( "Use image", "yourstore" ).'",
                                },
                                multiple: false
                        });

                        // When an image is selected, run a callback.
                        file_frame.on( "select", function() {
                                var attachment = file_frame.state().get("selection").first().toJSON();                    
                                field.val(attachment.url);

                        });

                        // Finally, open the modal.
                        file_frame.open();

                        return false;


                });
                $(document.body).on("click",".sds_clear_image",function(){
                    $(this).siblings("input.sds_widget_image").val("'.YOURSTORE_IMG_URL.'icons_feature_box/fbs_icon_1.png");
                    return false;
                });

            });';
            wp_add_inline_script('yourstore-admin-widgets', $scripts);
        }
    }
    public function form($instance) {

        $defaults = array(

            'link1' => '#',
            'title1' => esc_html__('SPECIAL OFFER 1+1=3', 'yourstore'),
            'subtitle1' => esc_html__('Get a gift!', 'yourstore'),
            'image1' => 'icon-redeem',
            'content1' => 'Donec eros tellus, scelerisque nec, rhoncus eget, laoreet sit amet, nunc. Ut sit amet turpis.',
            'link2' => '#',
            'title2' => esc_html__('FREE REWARD CARD', 'yourstore'),
            'subtitle2' => esc_html__('Worth 10$, 50$, 100$', 'yourstore'),
            'image2' => 'icon-card_membership',
            'content2' => 'Eros tellus, scelerisque nec, rhoncus eget, laoreet sit amet, nunc. Ut sit amet turpis. ',
            'link3' => '#',
            'title3' => esc_html__('Free Shipping', 'yourstore'),
            'subtitle3' => esc_html__('on orders over $100', 'yourstore'),
            'image3' => 'icon-local_shipping',
            'content3' => 'Eros tellus, scelerisque nec, rhoncus eget, laoreet sit amet, nunc. Ut sit amet turpis. ',
            'link4' => '#',
            'title4' => esc_html__('Order Return', 'yourstore'),
            'subtitle4' => esc_html__('Returns within 5 days', 'yourstore'),
            'image4' => 'icon-replay_5',
            'content4' => 'Eros tellus, scelerisque nec, rhoncus eget, laoreet sit amet, nunc. Ut sit amet turpis. ',
            'link5' => '#',
            'title5' => '',
            'subtitle5' => '',
            'image5' => '',
            'content5' => '',

        );

        $instance = wp_parse_args((array) $instance, $defaults);
        ?>
<style type="text/css">
    .sds_clear_image:before{
        font-family: dashicons;
    }
    textarea{
        min-height: 165px;
    }
    
</style>
        <?php for( $index = 1;  $index < 6;  $index++){?>

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('title'. $index)); ?>">

                <strong><?php printf(wp_kses_post(__('Title %d', 'yourstore')), $index) ?>:</strong><br /><input class="widefat" type="text" id="<?php echo esc_attr($this->get_field_id('title'. $index)); ?>" name="<?php echo esc_attr($this->get_field_name('title'. $index)); ?>" value="<?php echo esc_attr($instance['title'. $index]); ?>" />

            </label>

        </p> 
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('link'. $index)); ?>">

                <strong><?php printf(wp_kses_post(__('Link %d', 'yourstore')), $index) ?>:</strong><br /><input class="widefat" type="text" id="<?php echo esc_attr($this->get_field_id('link'. $index)); ?>" name="<?php echo esc_attr($this->get_field_name('link'. $index)); ?>" value="<?php echo esc_attr($instance['link'. $index]); ?>" />

            </label>

        </p> 
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('subtitle'. $index)); ?>">

                <strong><?php printf(wp_kses_post(__('Subtitle %d', 'yourstore')), $index) ?>:</strong><br /><input class="widefat" type="text" id="<?php echo esc_attr($this->get_field_id('subtitle'. $index)); ?>" name="<?php echo esc_attr($this->get_field_name('subtitle'. $index)); ?>" value="<?php echo esc_attr($instance['subtitle'. $index]); ?>" />

            </label>

        </p> 
        <p>

            <label for="<?php echo esc_attr($this->get_field_id('image'. $index)); ?>">
                <?php 
                $imgpath = $instance['image'. $index];
                ?>
                <strong><?php printf(wp_kses_post(__('Image %d', 'yourstore')), $index) ?>:</strong><br /><input class="widefat sds_widget_image" type="text" id="<?php echo esc_attr($this->get_field_id('image'. $index)); ?>" name="<?php echo esc_attr($this->get_field_name('image'. $index)); ?>" value="<?php echo preg_match('/^https?\:\/\//', $imgpath) ? esc_url($imgpath) : $imgpath; ?>" />
                <a class="dashicons dashicons-plus-alt sds_widget_add_image" href="#"></a>&nbsp;<a class="dashicons-no sds_clear_image" title="<?php esc_attr_e('Clear image field', 'yourstore')?>" href="#"></a>
            </label>

        </p>

        <p>

            <label for="<?php echo esc_attr($this->get_field_id('content'. $index)); ?>">
                <strong><?php printf(wp_kses_post(__('Content %d', 'yourstore')), $index) ?></strong></label>

            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('content'. $index)); ?>" name="<?php echo esc_attr($this->get_field_name('content'. $index)); ?>"><?php echo wp_kses_post($instance['content'. $index]); ?></textarea>

        </p>
        <!-- end -->
        
        <?php 
        }
        
    }
    static function replace_blank_line($matches){
        return '';        
    }

    function widget($args, $instance) {
        global $smof_data;

        extract($args);

        echo wp_kses_post($before_widget);
        ?>

        <?php
        
        for( $index = 1;  $index < 6;  $index++){
        
            if(empty($instance['title'. $index]))
                continue;

            $rand = rand(0000,9999);
            ?>

            <div class="delivery-banner" onclick="window.location.href = '<?php echo esc_url($instance['link'. $index])?>'">
                <div class="delivery-banner__icon">                    
                    <?php if((bool)preg_match('/^https?\:/',$instance['image'. $index])){?>
                    <img src="<?php echo esc_url($instance['image'. $index]);?>" alt="<?php echo esc_attr($instance['title'. $index]);?>">
                    <?php }else{?>
                    <span class="<?php echo esc_attr($instance['image'. $index]); ?>"></span>
                    <?php }?>
                </div>
                <div class="delivery-banner__text">
                    <h3><?php echo esc_html($instance['title'. $index]);?></h3>
                    <h5><?php echo esc_html($instance['subtitle'. $index]);?></h5>
                    <p><?php echo wp_kses_post($instance['content'. $index])?></p>
                </div>
            </div>

        <?php

        }

        echo wp_kses_post($after_widget);
    }

    function update($new_instance, $old_instance) {

        $instance = $old_instance;

        for( $index = 1;  $index < 6;  $index++){
        
            $instance['title'. $index] = $new_instance['title'. $index];
            $instance['link'. $index] = $new_instance['link'. $index];
            $instance['subtitle'. $index] = $new_instance['subtitle'. $index];
            $instance['image'. $index] = $new_instance['image'. $index];
            $instance['content'. $index] = $new_instance['content'. $index];            
        
        }


        return $instance;
    }

}
function reg_sds_shipping_info_widget(){
    
    return register_widget( "Sdsshippinginfo_Widget" );
}

add_action('widgets_init', 'reg_sds_shipping_info_widget');


