<?php

class Yourstore_Sidebar_Menu_Widget extends WP_Widget {
    
    
    public function __construct() {
        
        
        parent::__construct(
            'yst-sidebar-menu', // Base ID  
            esc_html__('Yourstore Sidebar Menu','yourstore'), 
            array(
                'description' => esc_html__('Yourstore Sidebar Menu', 'yourstore')
            )
        );
    }
    public function form($instance) {
        extract(wp_parse_args( (array) $instance, array('title' => '')));
        ?>
        <p><label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e('Title:', 'yourstore')?></label>
        <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></p>
        <?php
    }
    public function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags( $new_instance['title'] );
        return $instance;
    }
    public function widget($args, $instance)
    {
        $theme_location=apply_filters( 'yourstore_widget_theme_menu_name', '');
        $nav_menu = ! empty( $theme_location ) ? wp_get_nav_menu_object($theme_location ) : false;
        extract($args);
        $title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
        echo wp_kses_post($before_widget);
        echo '<h4 class="title-aside-wrapper text-uppercase mobile-menu-off">'.wp_kses_post($title).'</h4>';
        echo '<nav class="navbar navbar-vertical mobile-menu-off">';
        $random = rand(10000,99999);
        if ( ! $nav_menu ) {
            wp_nav_menu(array(
                'theme_location' => 'primary',
                'container_id' => 'yourstore-sidebar-menu-'.$random,
                'container_class' => 'responsive-menu mainMenu',
                'menu_id' => 'mainMenu',
                'menu_class' => 'nav navbar-nav dl-menu',
                'walker' => new YourstoreMainMenuWalker(),
            ));
        }else{
            $nav_menu_args = array(
                'fallback_cb' => '',
                'menu'        => $nav_menu,
                'container_id' => 'yourstore-sidebar-menu-'.$random,
                'container_class' => 'responsive-menu mainMenu',
                'menu_id' => 'mainMenu',
                'menu_class' => 'nav navbar-nav dl-menu',
                'walker' => new YourstoreMainMenuWalker(),
            );
            wp_nav_menu( apply_filters( 'widget_nav_menu_args', $nav_menu_args, $nav_menu, $args, $instance ) );
        }


        
        echo '</nav>';
        echo wp_kses_post($after_widget);
    }
}
function Yourstore_Sidebar_Menu_Widget_func() {
	register_widget( 'Yourstore_Sidebar_Menu_Widget' );
}
add_action( 'widgets_init', 'Yourstore_Sidebar_Menu_Widget_func' );
