<?php
add_filter( 'rwmb_meta_boxes', 'yourstore_register_framework_post_meta_box' );
/**
* Register meta boxes
*
* Remember to change "your_prefix" to actual prefix in your project
*
* @return void
*/
function yourstore_register_framework_post_meta_box( $meta_boxes )
{
        global $wp_registered_sidebars;
        $yourstore_option = yourstore_get_options();

        /**
        * prefix of meta keys (optional)
        * Use underscore (_) at the beginning to make keys hidden
        * Alt.: You also can make prefix empty to disable it
        */
        // Better has an underscore as last sign
        $prefix = 'framework';
        
        $sidebars = array();
        
        foreach($wp_registered_sidebars as $key=>$value){
            $sidebars[$key] = $value['name'];            
        }
		if(class_exists('sidebar_generator')){
			$custom_sidebars = sidebar_generator::get_sidebars();
			if(is_array($custom_sidebars)){
				foreach($custom_sidebars as $sidebar){
					$sidebarid = preg_replace_callback('/[^A-Za-z0-9]+/',function($match){return "-";} , strtolower($sidebar));
					$sidebars[$sidebarid] = $sidebar;
				}
			}
		}
        $opacities = array();

        for($o = 0.0, $n = 0; $o <= 1.0; $o += 0.1, $n++){
            $opacities[$n] = $o;
        }
        
        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-quote',
            'title' => esc_html__('Post Format Data', 'yourstore'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(
                array(
                    'name' => esc_html__( 'Quote Author', 'yourstore' ),
                    'desc' => esc_html__( 'Insert quote author name.', 'yourstore' ),
                    'id' => "{$prefix}-quote-author",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__( 'Quote Author Url', 'yourstore' ),
                    'desc' => esc_html__( 'Insert author url.', 'yourstore' ),
                    'id' => "{$prefix}-quote-author-link",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__( 'Quote Text', 'yourstore' ),
                    'desc' => esc_html__( 'Insert Quote Text.', 'yourstore' ),
                    'id' => "{$prefix}-quote",
                    'type' => 'textarea',                    
                ),
        ));
                    

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-video',
            'title' => esc_html__('Post Format Data', 'yourstore'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                array(
                    'name' => esc_html__( 'Video Markup', 'yourstore' ),
                    'desc' => esc_html__( 'Put embed src of video. i.e. youtube, vimeo', 'yourstore' ),
                    'id' => "{$prefix}-video-markup",
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 3,                    
                ),
        ));
        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-audio',
            'title' => esc_html__('Post Format Data', 'yourstore'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                array(
                    'name' => esc_html__( 'Audio Markup', 'yourstore' ),
                    'desc' => esc_html__( 'Put embed src of video. i.e. youtube, vimeo', 'yourstore' ),
                    'id' => "{$prefix}-audio-markup",
                    'type' => 'textarea',
                    'cols' => 20,
                    'rows' => 3,                                              
                ),
        ));


        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-link',
            'title' => esc_html__('Post Format Data', 'yourstore'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(
                array(
                    'name' => esc_html__( 'Link', 'yourstore' ),
                    'desc' => esc_html__( 'Works with link post format.', 'yourstore' ),
                    'id' => "{$prefix}-link",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__( 'Link title', 'yourstore' ),
                    'desc' => esc_html__( 'Works with link post format.', 'yourstore' ),
                    'id' => "{$prefix}-link-title",
                    'type' => 'text',                    
                ),
        ));

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-image',
            'title' => esc_html__('Post Format Data', 'yourstore'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                
                array(
                    'name' => esc_html__('Upload Gallery Images', 'yourstore'),
                    'id' => "{$prefix}-image",
                    'desc' => '',
                    'type' => 'image_advanced',
                    'max_file_uploads' => 24,
                    
                ),
        )); 

        $meta_boxes[] = array(
            'id' => 'framework-meta-box-post-format-gallery',
            'title' => esc_html__('Post Format Data', 'yourstore'),
            'pages' => array(
                'post',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                

                array(
                    'name' => esc_html__('Upload Gallery Images', 'yourstore'),
                    'id' => "{$prefix}-gallery",
                    'desc' => '',
                    'type' => 'image_advanced',
                    'max_file_uploads' => 24,
                    
                ),
        ));   
        
        $meta_boxes[] = array(
            'id' => 'framework-meta-box-gallery',
            'title' => esc_html__('Manage Gallery Meta Fields', 'yourstore'),
            'pages' => array(
                'gallery',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                array(
                    'name' => esc_html__( 'Gallery Url', 'yourstore' ),
                    'desc' => esc_html__( 'Enter Your Gallary Details Url.', 'yourstore' ),
                    'id' => "{$prefix}-gallery-url",
                    'type' => 'text',                    
                ),
        )); 
        $meta_boxes[] = array(
            'id' => 'framework-meta-box-testimonials',
            'title' => esc_html__('Manage Testimonial Meta Fields', 'yourstore'),
            'pages' => array(
                'testimonials',
            ),            
            'context' => 'normal',
            'priority' => 'high',
            'tab_style' => 'left',
            
            'fields' => array(        
                array(
                    'name' => esc_html__( 'Customer Name', 'yourstore' ),
                    'desc' => esc_html__( 'Customer Name.', 'yourstore' ),
                    'id' => "{$prefix}-client-name",
                    'type' => 'text',                    
                ),
                array(
                    'name' => esc_html__( 'Customer Designation', 'yourstore' ),
                    'desc' => esc_html__( 'Enter Customer designation.', 'yourstore' ),
                    'id' => "{$prefix}-client-designation",
                    'type' => 'text',                    
                ),

        )); 
        $posts_page = get_option('page_for_posts');
        if(!isset($_GET['post']) || intval($_GET['post']) != $posts_page){
            $meta_boxes[] = array(
                'id' => 'framework_page_meta_box',
                'title' => esc_html__('Page Design Settings', 'yourstore'),
                'pages' => array(
                    'page',
                ),
                'context' => 'normal',
                'priority' => 'core',
                'fields' => array(
                    array(
                        'id' => "framework_show_page_title",
                        'name' => esc_html__('Show page titlebar', 'yourstore'),
                        'desc' => '',
                        'type' => 'radio',
                        'std' => "on",
                        'options' => array('on'=>'Yes','off'=>'No'),
                    ),
                    array(
                        'id' => "framework_show_breadcrumb",
                        'name' => esc_html__('Show Breadcrumb', 'yourstore'),
                        'desc' => '',
                        'type' => 'radio',
                        'std' => "on",
                        'options' => array('on'=>'Yes','off'=>'No'),
                    ),

                    array(
                        'id' => "framework_page_style",
                        'name' => esc_html__('Page Style', 'yourstore'),
                        'desc' => '',
                        'type' => 'image_select',
                        'std' => "nosidebar",
                        'options' => array(
                            'leftsidebar' => YOURSTORE_THEME_URI.'/images/admin/left.jpg',
                            'nosidebar' => YOURSTORE_THEME_URI.'/images/admin/no.jpg',
                            'rightsidebar' => YOURSTORE_THEME_URI.'/images/admin/right.jpg',
                        ),
                        'allowClear' => true,
                        'placeholder' => esc_html__('Select','yourstore'),
                    ),
                    array(
                        'id' => "framework_page_left_sidebar",
                        'name' => esc_html__('Page Sidebar', 'yourstore'),
                        'desc' => '',
                        'type' => 'select_advanced',
                        'std' => "",
                        'options' => $sidebars,
                        'allowClear' => true,
                        'placeholder' => esc_html__('Select','yourstore'),
                    ),
                    array(
                        'name' => esc_html__( 'Page Excerpt', 'yourstore' ),
                        'desc' => esc_html__( 'Enter Page Excerpt.', 'yourstore' ),
                        'id' => "framework_page_excerpt",
                        'type' => 'textarea',
                        'cols' => 20,
                        'rows' => 3,
                    ),
                )
            );
       }
       $product_page_layout = isset($yourstore_option['yourstore_product_page_layout']) ? $yourstore_option['yourstore_product_page_layout'] : 1;
       $meta_boxes[] = array(
        'id' => 'yourstore_product_meta_box',
        'title' => esc_html__('Product Design Settings', 'yourstore'),
        'pages' => array(
            'product',
        ),
        'context' => 'side',
        'priority' => 'default',
        'fields' => array(
            array(
                'id' => "yourstore_product_page_style",
                'name' => esc_html__('Page Layout', 'yourstore'),
                'desc' => '',
                'type' => 'image_select',
                'std' => '',
                'options' => array(
                    '' => YOURSTORE_THEME_URI.'/images/admin/product-menu-img-'.$product_page_layout.'.png',
                    '1' => YOURSTORE_THEME_URI.'/images/admin/product-menu-img-1.png',
                    '2' => YOURSTORE_THEME_URI.'/images/admin/product-menu-img-2.png',
                    '3' => YOURSTORE_THEME_URI.'/images/admin/product-menu-img-3.png',
                ),
                'placeholder' => esc_html__('Select','yourstore'),
            ),
            array(
                'name' => esc_html__( 'Product Video', 'yourstore' ),
                'desc' => esc_html__( 'Enter a video url', 'yourstore' ),
                'id' => "yourstore_product_video",
                'type' => 'textarea',
                'cols' => 20,
                'rows' => 3,
            ),
        ));
        return $meta_boxes;
}