<?php

/**
 * @abstract get theme mod
 * return boolean
 */
if(!function_exists('get_yourstore_option')){
    function get_yourstore_option($name) {
        $modval = get_theme_mod($name);

        if (!empty($modval)) {
            if (!is_array($modval))
                $newval = unserialize($modval);
            else
                $newval = $modval;
            return $newval;
        }
        return false;
    }
}

function yourstore_get_options_group()
{
    global $yourstore_options;
    return $yourstore_options;
}

/**
 * @abstract get custom style strings
 * @return string
 */
 function yourstore_get_stock_custom_styles(){
     if(defined('yourstore_THEME_DIR') && file_exists(yourstore_THEME_DIR . '/css/custom_style.php')){
        ob_start();
        require_once yourstore_THEME_DIR . '/css/custom_style.php';
        $contents = ob_get_clean();
        return $contents;
    }
    return false;
 }


/**
 * @abstract get theme options
 * return object
 */

function yourstore_get_options(){
    global $yourstore_option;
    return $yourstore_option;
}
/**
 * @abstract get post object
 * return object
 */

function yourstore_get_post_object(){
    global $post;
    return $post;
}
/**
 * @abstract get current user info
 * return array
 */

function yourstore_get_current_user_var(){
    return wp_get_current_user();
}

/**
 * 
 * @global type $yourstore_found_more_tag
 * @return boolean
 */

function yourstore_get_more_link_var(){
    global $yourstore_found_more_tag;
    return $yourstore_found_more_tag;
}
/**
 * @abstract get pagination html
 */
function yourstore_get_posts_pagination_markup(){
    global $wp_query;
    ?>
    <div class="pagination">
            <?php
                    $big = 999999999; // need an unlikely integer					
                    echo paginate_links( array(
                            'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                            'format' => '?paged=%#%',
                            'current' => max( 1, get_query_var('paged') ),
                            'total' => $wp_query->max_num_pages,
                            'type' => 'list'
                    ) );
            ?>
    </div>
    <?php
}

/**
 * get YITH_Woocompare_Frontend instance
 */

function yourstore_YITH_Woocompare_Frontend(){
    global $yith_woocompare;
    
    if(isset($yith_woocompare->obj) && $yith_woocompare->obj instanceof YITH_Woocompare_Frontend){
        return $yith_woocompare->obj;
    }
    return null;
}

/**
 * @abstract get percentage of price deduction
 * @return number
 */
function yourstore_get_price_deduction_rate($from, $to)
{
	$percent = 0;
	if ($from > $to && $from > 0) {
		$dval = $from - $to;
		$percent = ( $dval / $from ) * 100;
		$percent = round($percent);
	}
	return $percent;
}
/**
 * @abstract get product price
 * @param type $product
 * @return boolean
 */

function yourstore_get_product_prices($product) {

	$saleargs =array( 
        'qty' => '1',  
        'price' =>  $product->get_sale_price()
        ); 
    $args =array( 
        'qty' => '1',  
        'price' =>  $product->get_regular_price()
        ); 
    
    $tax_display_mode = get_option('woocommerce_tax_display_shop');
    $display_price = $tax_display_mode == 'incl' ? wc_get_price_including_tax($product) : wc_get_price_excluding_tax($product);
    $display_regular_price = $tax_display_mode == 'incl' ? wc_get_price_including_tax($product,$args) : wc_get_price_excluding_tax($product,$args);
    $display_sale_price = $tax_display_mode == 'incl' ? wc_get_price_including_tax($product,$saleargs) : wc_get_price_excluding_tax($product,$saleargs);
    switch ($product->get_type()) {
        case 'variable':
            $price = $product->get_variation_regular_price('min', true);
            $sale = $display_price;
            break;
        case 'simple':
            $price = $display_regular_price;
            $sale = $display_sale_price;
            break;
    }

    if (isset($sale) && !empty($sale) && isset($price) && !empty($price))
        return array('sale' => $sale, 'price' => $price);
    return false;

}

/**
 * @abstract return save percent with prefix
 * @param type $data
 * @return boolean
 */
function yourstore_product_special_price_calc($data) { //sale and price

    if (!empty($data))
        extract($data);
    $prefix = '';
    if (isset($sale) && !empty($sale) && isset($price) && !empty($price)) {
        if ($price > $sale) {
            $prefix = '-';
            $dval = $price - $sale;
            $percent = ( $dval / $price ) * 100;
        }
    }


    if (isset($percent) && !empty($percent))

        return array('prefix' => $prefix, 'percent' => round($percent));

    return false;

}
if(!function_exists('youstore_get_product_page_layout')){
    function youstore_get_product_page_layout($id_product){
        if(is_numeric($id_product) && get_post_type($id_product) == 'product'){
            $yourstore_option = yourstore_get_options();
            $meta_val = get_post_meta($id_product, 'yourstore_product_page_style', true);
            if($meta_val){
                return (int)$meta_val;
            }elseif(isset($yourstore_option['yourstore_product_page_layout'])){
                return (int)$yourstore_option['yourstore_product_page_layout'];
            }else{
                return 1;
            }
        }
    }
}