<?php
/**
 * Custom functions that act independently of the theme templates.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package yourstore-theme
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function yourstore_body_classes( $classes ) {
    $yourstore_option = yourstore_get_options();
	// Adds a class of group-blog to blogs with more than 1 published author.
	if ( is_multi_author() ) {
		$classes[] = 'group-blog';
	}

	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

    if(isset($yourstore_option['yourstore_header_type']) 
        && $yourstore_option['yourstore_header_type'] == 4 
        && is_front_page()){
        $classes[] = 'yourstore-transparent';
    }

	return $classes;
}
add_filter( 'body_class', 'yourstore_body_classes' );