<?php
/*
 * Template Name: Contact
 */
get_header();
$yourstore_option = yourstore_get_options();
$post = yourstore_get_post_object();
$design = get_post_meta($post->ID, 'framework_page_style', true);
$show_page_title = isset($yourstore_option['display_gmap_on_contact']) ? $yourstore_option['display_gmap_on_contact'] : false;
$show_breadcrumb = get_post_meta($post->ID, 'framework_show_breadcrumb', true);
$leftbar = $rightbar = $main = '';
switch ( $design){
    case 'rightsidebar':
        $rightbar = 'col-md-3 col-sm-12 contact-sidebar';
        $main = 'col-md-9 col-sm-12';
        break;
    case 'leftsidebar':
        $leftbar = 'col-md-3 col-sm-12 contact-sidebar';
        $main = 'col-md-9 col-sm-12';
        break;
    default:
        $main = 'col-md-12 col-sm-12';
        break;
}
if($show_breadcrumb == 'on' || !$show_breadcrumb){
?>
<section class="breadcrumbs">
	<div class="container">
        <div class="breadcrumb breadcrumb--ys pull-left">
        <?php
        if (  function_exists('yoast_breadcrumb') ) {
            yoast_breadcrumb('','');
        }
        ?>
        </div>
	</div>
</section>
<?php
}
?>
<div id="pageContent">
    <?php 
    if($show_page_title){
    ?>
    <!-- parallax-img -->
	<section class="content-bottom">
        <div id="map"></div>
    </section>
    <!-- /parallax-img -->
    <?php }?>
    <section class="container">
        <div class="row">
            <?php if(!empty($leftbar)){?>
                <div class="<?php echo esc_attr($leftbar)?>">
                    <?php get_sidebar('page-left'); ?>
                </div>
            <?php }?>
                <div class="<?php echo esc_attr($main)?>">
                    <?php
                    // Start the loop.
                    while ( have_posts() ) : the_post();
                        // Include the page content template.
                        get_template_part( 'content', 'page' );
                        // If comments are open or we have at least one comment, load up the comment template.
                        if ( comments_open() || get_comments_number() ) :
                            comments_template();
                        endif;
                    // End the loop.
                    endwhile;
                    ?>
                </div>
            <?php if(!empty($rightbar)){?>
                <div class="<?php echo esc_attr($rightbar)?>">
                    <?php get_sidebar('page-right'); ?>
                </div>
            <?php }?>
        </div>
    </section>
</div>
<?php get_footer();