<?php
/**
 * Empty cart page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cart-empty.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.0
 */


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wc_print_notices();

?>

<div class="title-box cart-empty">
    <h1 class="text-center text-uppercase title-under"><?php _e( 'Your cart is currently empty.', 'yourstore' ) ?></h1>
  </div>

 


<?php do_action( 'woocommerce_cart_is_empty' ); ?>

 <div class="text-center"> 
    <img src="<?php echo esc_url(YOURSTORE_IMG_URL.'/empty-cart-icon.png')?>" alt="<?php _e( 'empty cart icon', 'yourstore')?>" class="img-responsive-inline">
    <div class="divider divider--lg"></div>
    <h4 class="color"><?php _e( 'You have no items in your shopping cart.', 'yourstore' ) ?></h4>
    <div class="divider divider--lg"></div>
   
    <?php if ( wc_get_page_id( 'shop' ) > 0 ) : ?>
	<p class="return-to-shop">
		<a class="button wc-backward btn btn--ys" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
            <span class="icon icon-keyboard_arrow_left"></span>
			<?php esc_html_e( 'Return To Shop', 'yourstore' ) ?>
		</a>
	</p>
<?php endif; ?>

 </div>