<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 * yourstore
 */
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

global $product;


// Ensure visibility
if (!$product || !$product->is_visible()) {
    return;
}
if(!isset($multiple_images)){
    $multiple_images = true;
}


$product_terms = get_the_terms(get_the_ID(), 'product_cat');
$pt_class = '';

$zoom_effect = '';




if (is_shop() || is_product_category() || (isset($is_zoom_effect) && $is_zoom_effect)) {
    $zoom_effect = 'product--zoom';
}
if(!empty($product_terms) && !is_wp_error($product_terms)){
    foreach ($product_terms as $product_term) {
        $pt_class .= esc_attr($product_term->slug) . ' ';
    }
}

?>
<li <?php post_class($pt_class); ?>>
    <div class="product <?php echo esc_attr($zoom_effect); ?>">
        <div class="product__inside woocommerce">
            <?php
            /**
             * woocommerce_before_shop_loop_item hook.
             *
             * @hooked woocommerce_template_loop_product_link_open - 10
             */
            do_action('woocommerce_before_shop_loop_item');


            /*
             * woocommerce_before_shop_loop_item_title hook.
             *
             * @hooked woocommerce_show_product_loop_sale_flash - 10
             * @hooked woocommerce_template_loop_product_thumbnail - 10
            */
            do_action('woocommerce_before_shop_loop_item_title', $multiple_images);

            ?>
            <div class="product__inside__name">
                <?php
                /**
                 * woocommerce_shop_loop_item_title hook.
                 *
                 * @hooked woocommerce_template_loop_product_title - 10
                 */
                do_action('woocommerce_shop_loop_item_title');

                ?>
            </div>
            <!-- visible only in row-view mode -->
            <div class="product__inside__description row-mode-visible"><?php the_excerpt(); ?></div>
            <div class="test">
            <?php
            /**
             * woocommerce_after_shop_loop_item_title hook.
             *
             * @hooked woocommerce_template_loop_rating - 5
             * @hooked woocommerce_template_loop_price - 10
             */
			 
            do_action('woocommerce_after_shop_loop_item_title');
			?>
            </div>
            <?php

            /**
             * woocommerce_after_shop_loop_item hook.
             *
             * @hooked woocommerce_template_loop_product_link_close - 5
             * @hooked woocommerce_template_loop_add_to_cart - 10
             */
            do_action('woocommerce_after_shop_loop_item');

            ?>
        </div>
    </div>
</li>
