<?php
/**
 * Single Product Thumbnails
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-thumbnails.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.5.1
 */
defined( 'ABSPATH' ) || exit;

// Note: `wc_get_gallery_image_html` was added in WC 3.3.2 and did not exist prior. This check protects against theme overrides being used on older versions of WC.
if ( ! function_exists( 'wc_get_gallery_image_html' ) ) {
	return;
}

global  $product;
$attachment_ids = $product->get_gallery_image_ids();
$yourstore_option = yourstore_get_options();

if(!empty($attachment_ids) && is_array($attachment_ids) && get_post_thumbnail_id()){
    $product_thumb_id = (int)get_post_thumbnail_id();
    array_unshift($attachment_ids, $product_thumb_id);
}

if ( $attachment_ids ) {
	$loop 		= 0;
    $gallery_list_class = $list_col_class = $big_thumbnails = $small_thumbnails = '';
    $woo_thumb_image_size = apply_filters('single_product_small_thumbnail_size', 'shop_thumbnail' );
    $big_gallery = false;
	$columns 	= apply_filters( 'woocommerce_product_thumbnails_columns', 3 );
    if(youstore_get_product_page_layout($product->get_id()) == 3){
        $woo_thumb_image_size = apply_filters( 'single_product_large_thumbnail_size', 'shop_single' );
        $gallery_list_class = 'bigGallery box-baners';
        $big_gallery = true;
        $list_col_class = 'col-md-3';
        $big_thumbnails .= '<div class="hidden-xs clearfix"><div class="bigGallery box-baners product-zoom-inner">';
        $small_thumbnails .= '<div class="visible-xs"><div class="clearfix"></div><ul id="mobileGallery">';
    }else{
	?>
	<div class="thumbnails <?php echo 'columns-' . $columns; ?> product-images-carousel">
        <ul id="smallGallery" class="<?php echo esc_attr($gallery_list_class)?>">
	<?php
    }
		foreach ( $attachment_ids as $attachment_id ) {
			
			
			$full_size_image = wp_get_attachment_image_src( $attachment_id, 'full' );
			$thumbnail       = wp_get_attachment_image_src( $attachment_id, 'shop_thumbnail' );
		
			$attributes = array(
				'title'                   => get_post_field( 'post_title', $attachment_id ),
			    'data-caption'            => get_post_field( 'post_excerpt', $attachment_id ),
				'data-src'                => $full_size_image[0],
				'data-large_image'        => $full_size_image[0],
				'data-large_image_width'  => $full_size_image[1],
				'data-large_image_height' => $full_size_image[2],
                'data-zoom-image'        => $full_size_image[0],
				'alt'					  => get_post_field( 'post_title', $attachment_id ),
			);
			$image_link = $full_size_image[0];
            if($big_gallery){
                $attributes['class'] = 'img-responsive product-zoom';
            }
			$image       = wp_get_attachment_image( $attachment_id, $woo_thumb_image_size, false, $attributes );
            $shop_single = wp_get_attachment_image_src($attachment_id, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ));
            if(isset($shop_single[0])){
                $shop_single = $shop_single[0];
            }else{
                $shop_single = null;
            }
			$image_class = '';
            if($big_gallery){
                $small_thumbnails .= sprintf( '<li><a href="#" data-zoom-image="%s" title="%s">%s</a></li>', $image_link,get_post_field( 'post_title', $attachment_id ), $image );
                $image       = wp_get_attachment_image( $attachment_id, $woo_thumb_image_size, false, $attributes );
                $big_thumbnails .= sprintf( '<div class="%s">%s</div>', $list_col_class, $image );
            }else{
				
				$html  = '<li><div data-thumb="' . esc_url( $thumbnail[0] ) . '" class="woocommerce-product-gallery__image"><a class="product_image_a" href="' . esc_url( $full_size_image[0] ) . '"  data-image="'.$shop_single.'" data-zoom-image="'.$full_size_image[0].'" title="'.get_post_field( 'post_title', $attachment_id ).'" >';
				$html .= wp_get_attachment_image( $attachment_id, 'shop_single', false, $attributes );
				$html .= '</a></div></li>';
				echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', $html, $attachment_id );
			}
			$loop++;
		}
        if($big_gallery){
            $small_thumbnails .= '</ul>';
        }else{
	?>
	</ul>
	</div>
	<?php
        }
        if($big_gallery){ ?>
            </div></div>
            </div>
        <?php }
}
